Bug 487444 - windows server 2003 x64 guest does not poweroff.
windows server 2003 x64 guest does not poweroff.
Product: Fedora
Classification: Fedora
Component: kvm (Show other bugs)
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-02-25 20:17 EST by Manmathan Kumarathurai
Modified: 2009-12-18 03:03 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-18 03:03:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Manmathan Kumarathurai 2009-02-25 20:17:23 EST
Description of problem: Shutdown of windows server 2003 x64 from inside the server or from virt-manager icon does not poweroff the guest.

Restarting the guest from the guest (windows start menu) doest not work either.

It seems the power-recykling and poweroff message from guest to the bios/kvm is not recevied/accepted or correctly handled.

It is possibel to force-power-off the guest from the virt-manager icon og using virsh destroy.

Version-Release number of selected component (if applicable):

How reproducible:
Shutdown of windows server 2003 x64 from inside the server or from virt-manager icon does not poweroff the guest. The guest "shuts everything down" except the "power".

Steps to Reproduce:
Actual results:
there is a zombie guest taking full guest-cpu-time.

Expected results:
the system guest system is fully shutdown.

Additional info:
Comment 1 Manmathan Kumarathurai 2009-02-25 21:49:21 EST

<domain type='kvm'>
    <type arch='x86_64' machine='pc'>hvm</type>
    <boot dev='hd'/>
  <clock offset='localtime'/>
    <disk type='file' device='disk'>
      <source file='/vm_store/win2003x64vl/win2003x64vl.img'/>
      <target dev='hda' bus='ide'/>
    <disk type='file' device='cdrom'>
      <target dev='hdc' bus='ide'/>
    <interface type='bridge'>
      <mac address='54:52:00:26:03:24'/>
      <source bridge='switch'/>
    <serial type='pty'>
      <source path='/dev/pts/6'/>
      <target port='0'/>
    <console type='pty' tty='/dev/pts/6'>
      <source path='/dev/pts/6'/>
      <target port='0'/>
    <input type='tablet' bus='usb'/>
    <input type='mouse' bus='ps2'/>
    <graphics type='vnc' port='-1' autoport='yes' keymap='da'/>
Comment 2 Manmathan Kumarathurai 2009-02-25 22:19:51 EST
I have also tested windows xp 32bit version. The acpi is disabled by default. It will not poweroff when shutdown inside guest. It powers off when I use the poweroff button from virt-manager.

Tried to enable acpi, but that does not help at all.
Comment 3 Mark McLoughlin 2009-03-20 12:06:36 EDT
Here's a similar report on the kvm@vger list:


Manmathan: is there any chance you could try and reproduce with the F11 Beta coming out soon (or rawhide)?
Comment 4 Bug Zapper 2009-11-18 04:52:52 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Bug Zapper 2009-12-18 03:03:23 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.